/*{ ttc_basic.c ***********************************************
 
 * Written by Gregor Rebel 2010-2011
 *
 * Basic set of helper functions.
 * 
}*/
#include "ttc_basic.h"

bool Assert(volatile bool Condition, volatile ErrorCode_e ErrorCode) {  // block endless in case Condition is false
    volatile bool HoldOnAssert=TRUE;

    if (HoldOnAssert) {
        while (!Condition)
            ErrorCode=ErrorCode; // <-- breakpoint here!
    }

    return Condition; // Only reachable if HoldOnAssert==FALSE
}
